MiniMax Speech 2.8 Turbo Sync Text-to-Speech
curl --request POST \
--url https://api.novita.ai/v3/minimax-speech-2.8-turbo \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>' \
--data '
{
"text": "<string>",
"stream": true,
"voice_modify": {
"pitch": 123,
"timbre": 123,
"intensity": 123,
"sound_effects": "<string>"
},
"audio_setting": {
"format": "<string>",
"bitrate": 123,
"channel": 123,
"force_cbr": true,
"sample_rate": 123
},
"output_format": "<string>",
"voice_setting": {
"vol": 123,
"pitch": 123,
"speed": 123,
"emotion": "<string>",
"voice_id": "<string>",
"latex_read": true,
"text_normalization": true
},
"aigc_watermark": true,
"language_boost": "<string>",
"stream_options": {
"exclude_aggregated_audio": true
},
"timber_weights": [
{
"weight": 123,
"voice_id": "<string>"
}
],
"subtitle_enable": true,
"pronunciation_dict": {
"tone": [
"<string>"
]
}
}
'import requests
url = "https://api.novita.ai/v3/minimax-speech-2.8-turbo"
payload = {
"text": "<string>",
"stream": True,
"voice_modify": {
"pitch": 123,
"timbre": 123,
"intensity": 123,
"sound_effects": "<string>"
},
"audio_setting": {
"format": "<string>",
"bitrate": 123,
"channel": 123,
"force_cbr": True,
"sample_rate": 123
},
"output_format": "<string>",
"voice_setting": {
"vol": 123,
"pitch": 123,
"speed": 123,
"emotion": "<string>",
"voice_id": "<string>",
"latex_read": True,
"text_normalization": True
},
"aigc_watermark": True,
"language_boost": "<string>",
"stream_options": { "exclude_aggregated_audio": True },
"timber_weights": [
{
"weight": 123,
"voice_id": "<string>"
}
],
"subtitle_enable": True,
"pronunciation_dict": { "tone": ["<string>"] }
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'},
body: JSON.stringify({
text: '<string>',
stream: true,
voice_modify: {pitch: 123, timbre: 123, intensity: 123, sound_effects: '<string>'},
audio_setting: {
format: '<string>',
bitrate: 123,
channel: 123,
force_cbr: true,
sample_rate: 123
},
output_format: '<string>',
voice_setting: {
vol: 123,
pitch: 123,
speed: 123,
emotion: '<string>',
voice_id: '<string>',
latex_read: true,
text_normalization: true
},
aigc_watermark: true,
language_boost: '<string>',
stream_options: {exclude_aggregated_audio: true},
timber_weights: [{weight: 123, voice_id: '<string>'}],
subtitle_enable: true,
pronunciation_dict: {tone: ['<string>']}
})
};
fetch('https://api.novita.ai/v3/minimax-speech-2.8-turbo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"audio": "<string>",
"status": 123,
"subtitle_file": "<string>"
},
"trace_id": "<string>",
"base_resp": {
"status_msg": "<string>",
"status_code": 123
},
"extra_info": {
"bitrate": 123,
"audio_size": 123,
"word_count": 123,
"audio_format": "<string>",
"audio_length": 123,
"audio_channel": 123,
"usage_characters": 123,
"audio_sample_rate": 123,
"invisible_character_ratio": 123
}
}Audio
MiniMax Speech 2.8 Turbo Sync Text-to-Speech
POST
/
v3
/
minimax-speech-2.8-turbo
MiniMax Speech 2.8 Turbo Sync Text-to-Speech
MiniMax synchronous text-to-speech API using HTTP protocol. Supports various voice, emotion, speed and other parameter settings.
Request Headers
Supports:
application/jsonBearer authentication format, for example: Bearer {{API Key}}.
Request Body
Text to synthesize into speech, length limit is less than 10000 characters. If text length is greater than 3000 characters, streaming output is recommended. Supports paragraph breaks (newline), pause control (
<#x#> tag), and interjection tags (such as (laughs), (coughs), etc., only supported by speech-2.8-hd/turbo)Controls whether to enable streaming output. Default is false
Hide properties
Hide properties
Pitch adjustment (deep/bright), range [-100, 100]. Values closer to -100 produce deeper voice; closer to 100 produce brighter voiceValue range: [-100, 100]
Timbre adjustment (rich/crisp), range [-100, 100]. Values closer to -100 produce richer voice; closer to 100 produce crisper voiceValue range: [-100, 100]
Intensity adjustment (powerful/soft), range [-100, 100]. Values closer to -100 produce more powerful voice; closer to 100 produce softer voiceValue range: [-100, 100]
Sound effect setting, only one can be selected at a time. Options: spacious_echo (spacious echo), auditorium_echo (auditorium broadcast), lofi_telephone (telephone distortion), robotic (electronic)Optional values:
spacious_echo, auditorium_echo, lofi_telephone, roboticHide properties
Hide properties
Audio output format. wav is only supported in non-streaming outputOptional values:
mp3, pcm, flac, wavAudio bitrate. Options: [32000, 64000, 128000, 256000], default is 128000. This parameter only applies to mp3 formatOptional values:
32000, 64000, 128000, 256000Number of audio channels. Options: [1, 2], where 1 is mono and 2 is stereo. Default is 1Optional values:
1, 2Controls constant bitrate (CBR) encoding. When set to true, audio will be encoded with constant bitrate. Note: This parameter only works when streaming output is enabled and audio format is mp3
Audio sample rate. Options: [8000, 16000, 22050, 24000, 32000, 44100], default is 32000Optional values:
8000, 16000, 22050, 24000, 32000, 44100Controls output format, options are url or hex, default is hex. This parameter is only valid in non-streaming scenarios. URL is valid for 24 hoursOptional values:
url, hexHide properties
Hide properties
Audio volume, higher value means louder. Range (0, 10], default is 1.0Value range: [0, 10]
Audio pitch, range [-12, 12], default is 0, where 0 is original voice outputValue range: [-12, 12]
Speech speed, higher value means faster. Range [0.5, 2], default is 1.0Value range: [0.5, 2]
Controls the emotion of synthesized speech. Options correspond to 8 emotions: happy, sad, angry, fearful, disgusted, surprised, calm, fluent, whisper. The model will automatically match appropriate emotion based on input textOptional values:
happy, sad, angry, fearful, disgusted, surprised, calm, fluent, whisperVoice ID for audio synthesis. If mixed voice is needed, set timber_weights parameter and leave this empty. Supports system voice, cloned voice, and text-generated voice
Controls whether to read LaTeX formulas, default is false. Only supports Chinese. When enabled, language_boost will be set to Chinese
Whether to enable Chinese/English text normalization, which can improve performance in number reading scenarios but slightly increases latency. Default is false
Controls whether to add audio rhythm identifier at the end of synthesized audio, default is false. This parameter is only valid for non-streaming synthesis
Whether to enhance recognition ability for specified minor languages and dialects. Default is null, can be set to auto to let the model decide automaticallyOptional values:
Chinese, Chinese,Yue, English, Arabic, Russian, Spanish, French, Portuguese, German, Turkish, Dutch, Ukrainian, Vietnamese, Indonesian, Japanese, Italian, Korean, Thai, Polish, Romanian, Greek, Czech, Finnish, Hindi, Bulgarian, Danish, Hebrew, Malay, Persian, Slovak, Swedish, Croatian, Filipino, Hungarian, Norwegian, Slovenian, Catalan, Nynorsk, Tamil, Afrikaans, autoHide properties
Hide properties
Sets whether the last chunk contains the concatenated audio hex data. Default is false, meaning the last chunk contains the complete concatenated audio hex data
Mixed voice settings, supports up to 4 voice mixtures
Hide properties
Hide properties
Weight of each voice in the mix, must be set together with voice_id. Range [1, 100], supports up to 4 voice mixtures. Higher weight means more similarity to that voiceValue range: [1, 100]
Voice ID for audio synthesis, must be set together with weight parameter. Supports system voice, cloned voice, and text-generated voice
Controls whether to enable subtitle service, default is false. This parameter is only valid in non-streaming output scenarios, and only valid for speech-2.6-hd, speech-2.6-turbo, speech-02-turbo, speech-02-hd, speech-01-turbo, speech-01-hd models
Hide properties
Hide properties
Defines pronunciation or replacement rules for special characters or symbols. For Chinese text, tones are represented by numbers: 1st tone = 1, 2nd tone = 2, 3rd tone = 3, 4th tone = 4, neutral tone = 5. Example: [“omg/oh my god”]
Response
Returned synthesis data object, may be null and needs null check
Hide properties
Hide properties
Synthesized audio data in hex encoding, format matches the output format specified in request
Current audio stream status: 1 means synthesizing, 2 means synthesis completed
Subtitle download link. Subtitles for the audio file, accurate to sentence (no more than 50 characters), in milliseconds, JSON format
Session ID for this request, used for troubleshooting
Status code and details for this request
Additional audio information
Hide properties
Hide properties
Audio bitrate
Audio file size in bytes
Word count of pronounced text, includes Chinese characters, numbers, letters, excludes punctuation
Generated audio file format. Options: [mp3, pcm, flac]Optional values:
mp3, pcm, flacAudio duration in milliseconds
Generated audio channel count,
1: mono, 2: stereoBillable character count
Audio sample rate
Invalid character ratio. If invalid characters do not exceed 10% (inclusive), audio will be generated normally with this ratio data returned; if exceeds 10%, an error will be returned
Last modified on July 8, 2026
Was this page helpful?
⌘I